# NotificationNotesResource

Canonical page: https://docs.ovok.com/java-sdk/reference/notification-notes-resource

```java
public final class NotificationNotesResource
```

Manages notes on notifications. Get it from [`NotificationsResource.notes()`](/java-sdk/reference/notifications-resource#notes).

## Methods [#methods]

### list [#list]

```java
public JsonNode list(
        String kind,
        String targetId,
        RequestOptions options) throws IOException, InterruptedException
```

Lists the notes on one notification (`GET /v1/slim/notifications/{kind}/{targetId}/notes`).

**Parameters:**

- `kind`: the notification kind: `oob`, `alarm`, `medical` or `alert`
- `targetId`: the notification or episode ID
- `options`: per-request options, such as the timeout

**Returns:** the response body

**Throws:**

- [`OvokValidationException`](/java-sdk/reference/ovok-validation-exception): if `kind` is not one of the supported kinds
- `IOException`: if the request cannot be sent or the response cannot be read
- `InterruptedException`: if the thread is interrupted while waiting for the response

### create [#create]

```java
public JsonNode create(Object body, RequestOptions options) throws IOException, InterruptedException
```

Adds a note to a notification (`POST /v1/slim/notifications/notes`).

**Parameters:**

- `body`: the note to create
- `options`: per-request options, such as the timeout

**Returns:** the response body

**Throws:**

- `IOException`: if the request cannot be sent or the response cannot be read
- `InterruptedException`: if the thread is interrupted while waiting for the response

### update [#update]

```java
public JsonNode update(
        String noteId,
        Object body,
        RequestOptions options) throws IOException, InterruptedException
```

Replaces a note (`PUT /v1/slim/notifications/notes/{noteId}`).

**Parameters:**

- `noteId`: the note ID
- `body`: the full note
- `options`: per-request options, such as the timeout

**Returns:** the response body

**Throws:**

- `IOException`: if the request cannot be sent or the response cannot be read
- `InterruptedException`: if the thread is interrupted while waiting for the response

### patch [#patch]

```java
public JsonNode patch(
        String noteId,
        Object body,
        RequestOptions options) throws IOException, InterruptedException
```

Changes some fields of a note (`PATCH /v1/slim/notifications/notes/{noteId}`).

**Parameters:**

- `noteId`: the note ID
- `body`: the fields to change
- `options`: per-request options, such as the timeout

**Returns:** the response body

**Throws:**

- `IOException`: if the request cannot be sent or the response cannot be read
- `InterruptedException`: if the thread is interrupted while waiting for the response

### delete [#delete]

```java
public void delete(String noteId, RequestOptions options) throws IOException, InterruptedException
```

Deletes a note (`DELETE /v1/slim/notifications/notes/{noteId}`).

**Parameters:**

- `noteId`: the note ID
- `options`: per-request options, such as the timeout

**Throws:**

- `IOException`: if the request cannot be sent or the response cannot be read
- `InterruptedException`: if the thread is interrupted while waiting for the response
